.company-valuation-page__content-wrapper {
	padding-block: 24px;
}
.company-valuation-page__side-group {
	margin-bottom: 8px;
	display: grid;
	gap: 8px;
}
.company-valuation-page__content {
	--content-gap: 8px;

	display: flex;
	flex-direction: column;
	gap: var(--content-gap);
}

/* company-rating */
.company-rating {
	padding: 20px;
	background-color: var(--neutral-0050);
	box-shadow: inset 0 0 0 1px var(--neutral-0150);
	border-radius: 4px;

	font-weight: var(--fw-400);
	font-size: 15px;
	line-height: 20px;
	color: var(--neutral-0600);
}
.company-rating__main {
	padding-bottom: 10px;
	display: grid;
	grid-template-columns: auto 1fr;
	align-items: start;
	gap: 5px 12px;
}
.company-rating__score {
	grid-row: span 2;
	font-weight: var(--fw-700);
	font-size: 48px;
	line-height: 50px;
	letter-spacing: -0.04em;
	color: var(--neutral-0800);
}
.company-rating__stars {
	padding: 0;
	align-self: end;
}
.company-rating__description {
	margin-top: 2px;
	padding-top: 9px;
	border-top: 1px solid var(--neutral-0150);
}

/* overall-rating */
.overall-rating {
	padding: 20px;
	display: grid;
	grid-template-columns: auto 1fr auto;
	gap: 8px;
	box-shadow: inset 0 0 0 1px var(--neutral-0150);
	border-radius: 4px;

	font-weight: var(--fw-400);
	font-size: 14px;
	line-height: 16px;
}
.overall-rating__star {
	padding-left: 18px;
	background: url('../../images/i-star-gold.svg') no-repeat left center;
	color: var(--neutral-0600);
	text-align: center;
}
.overall-rating__progress {
	border-radius: 2px;
	background-color: var(--neutral-0100);
}
.overall-rating__progress::after {
	content: '';
	display: block;
	width: clamp(4px, 100% / var(--total, 1) * var(--count, 0), 100%);
	height: 100%;
	border-radius: inherit;
	background-color: var(--primary-0500);
}
.overall-rating__progress[style^="--count: 0"]::after {
	width: 0;
}
.overall-rating__count {
	font-weight: var(--fw-450);
	color: var(--neutral-0800);
}

/* review-button */
.company-valuation-page__review-button {
	position: sticky;
	margin-inline: calc(-1 * var(--container-padding));
	padding: 24px var(--container-padding) 12px;
	bottom: 0;
	display: flex;
	flex-direction: column;
	background: linear-gradient(0, var(--neutral-0000) 68.41%, transparent 100%);
}

.company-valuation-page__valuation-list {
	--border-color: var(--neutral-0150);

	border-radius: 4px;

	/* fake-border */
	padding: 1px;
	display: flex;
	flex-direction: column;
	gap: 1px;
	background-color: var(--border-color);
}
.company-valuation-page__valuation-list._self {
	--border-color: var(--primary-0600);
}

/* valuation-item */
.valuation-item-status {
	margin-bottom: calc(-4px - var(--content-gap));
	padding: 8px 16px 12px;
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 6px;

	background-color: var(--contrast-0100);
	box-shadow: inset 0 0 0 1px var(--contrast-0600);
	border-top-left-radius: 4px;
	border-top-right-radius: 4px;

	font-weight: var(--fw-500);
	color: var(--primary-0700);
}

.valuation-item {
	--avatar-group-gap: 8px;
	--avatar-size: 40px;

	position: relative;
	padding: 13px;
	background-color: var(--neutral-0000);
	font-weight: var(--fw-400);
	font-size: 14px;
	line-height: 20px;
	color: var(--neutral-1000);
}
.valuation-item:first-of-type {
	border-top-left-radius: inherit;
	border-top-right-radius: inherit;
}
.valuation-item:last-of-type {
	border-bottom-left-radius: inherit;
	border-bottom-right-radius: inherit;
}

.valuation-item__deal {
	position: relative;
	padding-block: 6px;
	display: flex;
	flex-direction: column;
}
.valuation-item__deal::before,
.valuation-item__message::before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	height: 1px;
	background: linear-gradient(90deg, var(--neutral-0100) 0%, transparent 100%);
}
.valuation-item__deal-status {
	flex-shrink: 0;
}
.valuation-item__deal-status._positive {
	color: var(--positive-0700);
}
.valuation-item__deal-status._negative {
	color: var(--negative-0600);
}
.valuation-item__deal-name {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	color: var(--neutral-0600);
}

.valuation-item__message {
	position: relative;
	padding-block: 6px;
}

.valuation-item__reactions {
	display: flex;
	gap: 6px;
}
.valuation-item__reaction {
	padding: 6px 10px;
	display: flex;
	gap: 2px;
	border-radius: 16px;
	background-color: var(--neutral-0075);

	font-weight: var(--fw-400);
	font-size: 16px;
	line-height: 20px;
	text-align: center;
	color: var(--neutral-1000);
}
.valuation-item__reaction[data-count]::after {
	content: attr(data-count);
	padding-right: 4px;
	font-weight: var(--fw-500);
	font-size: 14px;
}
.valuation-item__reaction._active {
	background-color: var(--primary-0100);
}

/* reply */
.valuation-item__reply-actions {
	padding-block: 6px;
	display: flex;
	gap: 16px;
}

.valuation-item .valuation-item {
	--padding-block: 12px;
	--padding-left: 24px;

	padding-block: var(--padding-block);
	padding-inline: var(--padding-left) 0;
	transition: opacity 320ms cubic-bezier(0, 0, 0.15, 1);
	background: url('../../images/valuation-reply.svg') no-repeat 0 var(--padding-block);
}

.valuation-item__reply-toggle input,
.valuation-item__reply-form-toggle input {
	display: none;
}
.valuation-item__reply-toggle span::after {
	content: attr(data-more);
}
.valuation-item__reply-toggle input:checked ~ span::after {
	content: attr(data-less);
}

.valuation-item__reply-actions:has(
	.valuation-item__reply-toggle input:not(:checked)
) ~ .valuation-item:not(._form),
.valuation-item__reply-actions:has(
	.valuation-item__reply-form-toggle input:not(:checked)
) + .valuation-item._form {
	padding: 0;
	height: 0;
	min-height: 0;
	opacity: 0;
	overflow: hidden;
}

/* form */
.valuation-item__form {
	--gap: 4px;

	position: absolute;
	inset: var(--padding-block) 0 var(--padding-block) calc(var(--padding-left) + var(--avatar-size) + var(--avatar-group-gap));
	background-color: var(--neutral-0000);

	opacity: 1;
	visibility: visible;
	transition:
		opacity 120ms cubic-bezier(0, 0, 0.15, 1),
		visibility 120ms cubic-bezier(0, 0, 0.15, 1);
}
.valuation-header:has(
	.valuation-item__reply-form-toggle input:not(:checked)
) ~ .valuation-item__form {
	opacity: 0;
	visibility: hidden;
}
.valuation-item._form,
.valuation-item:has(
	.valuation-header .valuation-item__reply-form-toggle input:checked
) {
	min-height: 150px;
}

.valuation-item__form-buttons {
	display: flex;
	gap: 4px;
}
.valuation-item__form-textarea {
	flex-grow: 1;
}


/* header */
.valuation-header {
	margin-bottom: 4px;
}
.valuation-header__actions {
	display: flex;
	gap: 12px;
}
.valuation-header__actions-caption {
	margin-right: auto;
	color: var(--neutral-0500);
}
.valuation-header__avatar-group {
	margin-bottom: 8px;
	display: grid;
	grid-template-columns: auto 1fr;
	column-gap: var(--avatar-group-gap);
}
.valuation-header__avatar {
	--avatar-size: inherit;

	grid-row: span 2;
}
.valuation-header__name {
	display: flex;
	font-weight: var(--fw-500);
}
.valuation-header__name span {
	margin-left: 4px;
	display: flex;
	gap: 4px;
	font-weight: 400;
	color: var(--neutral-0500);
}
.valuation-header__name span::before {
	content: '·';
	color: var(--neutral-0400);
}
.valuation-header__date {
	color: var(--neutral-0500);
}

.valuation-header__rating {
	display: flex;
	gap: 6px;
	color: var(--neutral-0800);
}
.valuation-header__rating::before {
	content: '';
	display: block;
	align-self: stretch;
	width: 1px;
	background: linear-gradient(180deg, transparent 0%, var(--neutral-0200) 50%, transparent 100%);
}
.valuation-header__rating span {
	padding-inline: 4px;
	order: -1;
}

/* valuations-title */
.company-valuation-page__valuations-title {
	padding-block: 12px 4px;
	display: flex;
	align-items: center;
	gap: 8px;
	font-weight: var(--fw-400);
	font-size: 14px;
	line-height: 20px;
	color: var(--neutral-0500);
}
.company-valuation-page__valuations-title::before,
.company-valuation-page__valuations-title::after {
	content: '';
	margin-top: 1px;
	display: block;
	height: 1px;
	flex-grow: 1;
	background: linear-gradient(90deg, var(--neutral-0150) 0%, transparent 100%);
}
.company-valuation-page__valuations-title::before {
	transform: rotate(180deg);
}

@media (any-hover: hover) {
	.valuation-item__reaction:hover {
		background-color: var(--neutral-0150);
	}
}
@media (any-hover: none) {
	.valuation-item__reaction:active {
		background-color: var(--neutral-0150);
	}
}

@media (max-width: 767.98px) {
	.valuation-header__actions {
		justify-content: flex-end;
		margin-bottom: 16px;
		padding-bottom: 11px;
		border-bottom: 1px solid var(--neutral-0100);
	}
	.valuation-item .valuation-item .valuation-header__actions {
		position: absolute;
		right: 0;
		bottom: var(--padding-block);
		margin-bottom: 0;
		padding-bottom: 6px;
		border-bottom: none;
	}
	.valuation-header__name span {
		display: none;
	}
	.valuation-header__rating {
		padding: 4px 6px;
		border: 1px solid transparent;
		background:
			linear-gradient(90deg, var(--neutral-0050), var(--neutral-0000)) padding-box,
			linear-gradient(90deg, var(--neutral-0150), var(--neutral-0000)) border-box;
		border-radius: 4px;
	}

	.valuation-header:has(> .valuation-header__rating) + .valuation-item__content > .valuation-item__message:first-child:before,
	.valuation-item__deal::before {
		content: none;
	}

	/* form */
	.valuation-item__form {
		left: var(--padding-left);
	}
	.valuation-item__form-buttons button[type="submit"] {
		flex-grow: 1;
	}
}

@media (min-width: 768px) {
	.valuation-item {
		--avatar-group-gap: 16px;

		padding: 19px;
	}
	.valuation-item__content {
		padding-left: calc(var(--avatar-size) + var(--avatar-group-gap));
	}
	.valuation-item__deal {
		--gap: 4px;

		position: relative;
		flex-direction: row;
		gap: var(--gap);
	}

	.valuation-item__deal-name::before {
		content: '·';
		margin-right: var(--gap);
		color: var(--neutral-0400);
	}

	.valuation-header {
		margin-bottom: 6px;
		display: flex;
		align-items: flex-start;
		gap: 12px;
	}
	.valuation-header__actions-caption {
		display: none;
	}

	.valuation-header__avatar-group {
		margin-bottom: 0;
		order: -1;
		flex-grow: 1;
	}

	.valuation-item .valuation-item {
		--padding-block: 6px;
	}
}

@media (min-width: 768px) and (max-width: 1139.98px) {
	.company-valuation-page__side-group {
		margin-bottom: 16px;
		grid-template-columns: 1fr 1fr;
		gap: 16px;
	}
}

@media (min-width: 1140px) {
	.company-valuation-page__content-wrapper {
		--sidebar-width: 356px;

		padding-bottom: 48px;
		flex-flow: row-reverse;
	}
	.company-valuation-page__side-group {
		margin-bottom: 0;
		gap: 12px;
	}
	.company-valuation-page__review-button {
		display: none;
	}
}
